Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network188.3.0.0/20
Usable hosts4,094
Subnet mask255.255.240.0
Addresses4,096
Network address
188.3.0.0
Broadcast address
188.3.15.255
First usable
188.3.0.1
Last usable
188.3.15.254
Usable hosts
4,094 (4,096 less the network and broadcast addresses)
Subnet mask
255.255.240.0
Wildcard mask
0.0.15.255 (Cisco ACLs, OSPF)
Prefix length
/20
Type
Public public
Old class
B (default /16)
As numbers
Hex BC030000 · Integer 3154313216 to 3154317311
Reverse DNS zones
0.3.188.in-addr.arpa
1.3.188.in-addr.arpa
2.3.188.in-addr.arpa
3.3.188.in-addr.arpa
4.3.188.in-addr.arpa
5.3.188.in-addr.arpa
6.3.188.in-addr.arpa
7.3.188.in-addr.arpa
8.3.188.in-addr.arpa
9.3.188.in-addr.arpa
10.3.188.in-addr.arpa
11.3.188.in-addr.arpa
12.3.188.in-addr.arpa
13.3.188.in-addr.arpa
14.3.188.in-addr.arpa
15.3.188.in-addr.arpa
/20 is not on a 8-bit boundary, so it takes 16 /24 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address10111100.00000011.00000000.00000000188.3.0.0
Subnet mask11111111.11111111.11110000.00000000255.255.240.0
Network10111100.00000011.00000000.00000000188.3.0.0
Broadcast10111100.00000011.00001111.11111111188.3.15.255
Split into smaller subnets/29

188.3.0.0/20 makes 512 subnets of /29; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1188.3.0.0/29188.3.0.1 to 188.3.0.6188.3.0.76
2188.3.0.8/29188.3.0.9 to 188.3.0.14188.3.0.156
3188.3.0.16/29188.3.0.17 to 188.3.0.22188.3.0.236
4188.3.0.24/29188.3.0.25 to 188.3.0.30188.3.0.316
5188.3.0.32/29188.3.0.33 to 188.3.0.38188.3.0.396
6188.3.0.40/29188.3.0.41 to 188.3.0.46188.3.0.476
7188.3.0.48/29188.3.0.49 to 188.3.0.54188.3.0.556
8188.3.0.56/29188.3.0.57 to 188.3.0.62188.3.0.636
9188.3.0.64/29188.3.0.65 to 188.3.0.70188.3.0.716
10188.3.0.72/29188.3.0.73 to 188.3.0.78188.3.0.796
11188.3.0.80/29188.3.0.81 to 188.3.0.86188.3.0.876
12188.3.0.88/29188.3.0.89 to 188.3.0.94188.3.0.956
13188.3.0.96/29188.3.0.97 to 188.3.0.102188.3.0.1036
14188.3.0.104/29188.3.0.105 to 188.3.0.110188.3.0.1116
15188.3.0.112/29188.3.0.113 to 188.3.0.118188.3.0.1196
16188.3.0.120/29188.3.0.121 to 188.3.0.126188.3.0.1276
17188.3.0.128/29188.3.0.129 to 188.3.0.134188.3.0.1356
18188.3.0.136/29188.3.0.137 to 188.3.0.142188.3.0.1436
19188.3.0.144/29188.3.0.145 to 188.3.0.150188.3.0.1516
20188.3.0.152/29188.3.0.153 to 188.3.0.158188.3.0.1596
21188.3.0.160/29188.3.0.161 to 188.3.0.166188.3.0.1676
22188.3.0.168/29188.3.0.169 to 188.3.0.174188.3.0.1756
23188.3.0.176/29188.3.0.177 to 188.3.0.182188.3.0.1836
24188.3.0.184/29188.3.0.185 to 188.3.0.190188.3.0.1916
25188.3.0.192/29188.3.0.193 to 188.3.0.198188.3.0.1996
26188.3.0.200/29188.3.0.201 to 188.3.0.206188.3.0.2076
27188.3.0.208/29188.3.0.209 to 188.3.0.214188.3.0.2156
28188.3.0.216/29188.3.0.217 to 188.3.0.222188.3.0.2236
29188.3.0.224/29188.3.0.225 to 188.3.0.230188.3.0.2316
30188.3.0.232/29188.3.0.233 to 188.3.0.238188.3.0.2396
31188.3.0.240/29188.3.0.241 to 188.3.0.246188.3.0.2476
32188.3.0.248/29188.3.0.249 to 188.3.0.254188.3.0.2556
33188.3.1.0/29188.3.1.1 to 188.3.1.6188.3.1.76
34188.3.1.8/29188.3.1.9 to 188.3.1.14188.3.1.156
35188.3.1.16/29188.3.1.17 to 188.3.1.22188.3.1.236
36188.3.1.24/29188.3.1.25 to 188.3.1.30188.3.1.316
37188.3.1.32/29188.3.1.33 to 188.3.1.38188.3.1.396
38188.3.1.40/29188.3.1.41 to 188.3.1.46188.3.1.476
39188.3.1.48/29188.3.1.49 to 188.3.1.54188.3.1.556
40188.3.1.56/29188.3.1.57 to 188.3.1.62188.3.1.636
41188.3.1.64/29188.3.1.65 to 188.3.1.70188.3.1.716
42188.3.1.72/29188.3.1.73 to 188.3.1.78188.3.1.796
43188.3.1.80/29188.3.1.81 to 188.3.1.86188.3.1.876
44188.3.1.88/29188.3.1.89 to 188.3.1.94188.3.1.956
45188.3.1.96/29188.3.1.97 to 188.3.1.102188.3.1.1036
46188.3.1.104/29188.3.1.105 to 188.3.1.110188.3.1.1116
47188.3.1.112/29188.3.1.113 to 188.3.1.118188.3.1.1196
48188.3.1.120/29188.3.1.121 to 188.3.1.126188.3.1.1276
49188.3.1.128/29188.3.1.129 to 188.3.1.134188.3.1.1356
50188.3.1.136/29188.3.1.137 to 188.3.1.142188.3.1.1436
51188.3.1.144/29188.3.1.145 to 188.3.1.150188.3.1.1516
52188.3.1.152/29188.3.1.153 to 188.3.1.158188.3.1.1596
53188.3.1.160/29188.3.1.161 to 188.3.1.166188.3.1.1676
54188.3.1.168/29188.3.1.169 to 188.3.1.174188.3.1.1756
55188.3.1.176/29188.3.1.177 to 188.3.1.182188.3.1.1836
56188.3.1.184/29188.3.1.185 to 188.3.1.190188.3.1.1916
57188.3.1.192/29188.3.1.193 to 188.3.1.198188.3.1.1996
58188.3.1.200/29188.3.1.201 to 188.3.1.206188.3.1.2076
59188.3.1.208/29188.3.1.209 to 188.3.1.214188.3.1.2156
60188.3.1.216/29188.3.1.217 to 188.3.1.222188.3.1.2236
61188.3.1.224/29188.3.1.225 to 188.3.1.230188.3.1.2316
62188.3.1.232/29188.3.1.233 to 188.3.1.238188.3.1.2396
63188.3.1.240/29188.3.1.241 to 188.3.1.246188.3.1.2476
64188.3.1.248/29188.3.1.249 to 188.3.1.254188.3.1.2556
65188.3.2.0/29188.3.2.1 to 188.3.2.6188.3.2.76
66188.3.2.8/29188.3.2.9 to 188.3.2.14188.3.2.156
67188.3.2.16/29188.3.2.17 to 188.3.2.22188.3.2.236
68188.3.2.24/29188.3.2.25 to 188.3.2.30188.3.2.316
69188.3.2.32/29188.3.2.33 to 188.3.2.38188.3.2.396
70188.3.2.40/29188.3.2.41 to 188.3.2.46188.3.2.476
71188.3.2.48/29188.3.2.49 to 188.3.2.54188.3.2.556
72188.3.2.56/29188.3.2.57 to 188.3.2.62188.3.2.636
73188.3.2.64/29188.3.2.65 to 188.3.2.70188.3.2.716
74188.3.2.72/29188.3.2.73 to 188.3.2.78188.3.2.796
75188.3.2.80/29188.3.2.81 to 188.3.2.86188.3.2.876
76188.3.2.88/29188.3.2.89 to 188.3.2.94188.3.2.956
77188.3.2.96/29188.3.2.97 to 188.3.2.102188.3.2.1036
78188.3.2.104/29188.3.2.105 to 188.3.2.110188.3.2.1116
79188.3.2.112/29188.3.2.113 to 188.3.2.118188.3.2.1196
80188.3.2.120/29188.3.2.121 to 188.3.2.126188.3.2.1276
81188.3.2.128/29188.3.2.129 to 188.3.2.134188.3.2.1356
82188.3.2.136/29188.3.2.137 to 188.3.2.142188.3.2.1436
83188.3.2.144/29188.3.2.145 to 188.3.2.150188.3.2.1516
84188.3.2.152/29188.3.2.153 to 188.3.2.158188.3.2.1596
85188.3.2.160/29188.3.2.161 to 188.3.2.166188.3.2.1676
86188.3.2.168/29188.3.2.169 to 188.3.2.174188.3.2.1756
87188.3.2.176/29188.3.2.177 to 188.3.2.182188.3.2.1836
88188.3.2.184/29188.3.2.185 to 188.3.2.190188.3.2.1916
89188.3.2.192/29188.3.2.193 to 188.3.2.198188.3.2.1996
90188.3.2.200/29188.3.2.201 to 188.3.2.206188.3.2.2076
91188.3.2.208/29188.3.2.209 to 188.3.2.214188.3.2.2156
92188.3.2.216/29188.3.2.217 to 188.3.2.222188.3.2.2236
93188.3.2.224/29188.3.2.225 to 188.3.2.230188.3.2.2316
94188.3.2.232/29188.3.2.233 to 188.3.2.238188.3.2.2396
95188.3.2.240/29188.3.2.241 to 188.3.2.246188.3.2.2476
96188.3.2.248/29188.3.2.249 to 188.3.2.254188.3.2.2556
97188.3.3.0/29188.3.3.1 to 188.3.3.6188.3.3.76
98188.3.3.8/29188.3.3.9 to 188.3.3.14188.3.3.156
99188.3.3.16/29188.3.3.17 to 188.3.3.22188.3.3.236
100188.3.3.24/29188.3.3.25 to 188.3.3.30188.3.3.316
101188.3.3.32/29188.3.3.33 to 188.3.3.38188.3.3.396
102188.3.3.40/29188.3.3.41 to 188.3.3.46188.3.3.476
103188.3.3.48/29188.3.3.49 to 188.3.3.54188.3.3.556
104188.3.3.56/29188.3.3.57 to 188.3.3.62188.3.3.636
105188.3.3.64/29188.3.3.65 to 188.3.3.70188.3.3.716
106188.3.3.72/29188.3.3.73 to 188.3.3.78188.3.3.796
107188.3.3.80/29188.3.3.81 to 188.3.3.86188.3.3.876
108188.3.3.88/29188.3.3.89 to 188.3.3.94188.3.3.956
109188.3.3.96/29188.3.3.97 to 188.3.3.102188.3.3.1036
110188.3.3.104/29188.3.3.105 to 188.3.3.110188.3.3.1116
111188.3.3.112/29188.3.3.113 to 188.3.3.118188.3.3.1196
112188.3.3.120/29188.3.3.121 to 188.3.3.126188.3.3.1276
113188.3.3.128/29188.3.3.129 to 188.3.3.134188.3.3.1356
114188.3.3.136/29188.3.3.137 to 188.3.3.142188.3.3.1436
115188.3.3.144/29188.3.3.145 to 188.3.3.150188.3.3.1516
116188.3.3.152/29188.3.3.153 to 188.3.3.158188.3.3.1596
117188.3.3.160/29188.3.3.161 to 188.3.3.166188.3.3.1676
118188.3.3.168/29188.3.3.169 to 188.3.3.174188.3.3.1756
119188.3.3.176/29188.3.3.177 to 188.3.3.182188.3.3.1836
120188.3.3.184/29188.3.3.185 to 188.3.3.190188.3.3.1916
121188.3.3.192/29188.3.3.193 to 188.3.3.198188.3.3.1996
122188.3.3.200/29188.3.3.201 to 188.3.3.206188.3.3.2076
123188.3.3.208/29188.3.3.209 to 188.3.3.214188.3.3.2156
124188.3.3.216/29188.3.3.217 to 188.3.3.222188.3.3.2236
125188.3.3.224/29188.3.3.225 to 188.3.3.230188.3.3.2316
126188.3.3.232/29188.3.3.233 to 188.3.3.238188.3.3.2396
127188.3.3.240/29188.3.3.241 to 188.3.3.246188.3.3.2476
128188.3.3.248/29188.3.3.249 to 188.3.3.254188.3.3.2556
129188.3.4.0/29188.3.4.1 to 188.3.4.6188.3.4.76
130188.3.4.8/29188.3.4.9 to 188.3.4.14188.3.4.156
131188.3.4.16/29188.3.4.17 to 188.3.4.22188.3.4.236
132188.3.4.24/29188.3.4.25 to 188.3.4.30188.3.4.316
133188.3.4.32/29188.3.4.33 to 188.3.4.38188.3.4.396
134188.3.4.40/29188.3.4.41 to 188.3.4.46188.3.4.476
135188.3.4.48/29188.3.4.49 to 188.3.4.54188.3.4.556
136188.3.4.56/29188.3.4.57 to 188.3.4.62188.3.4.636
137188.3.4.64/29188.3.4.65 to 188.3.4.70188.3.4.716
138188.3.4.72/29188.3.4.73 to 188.3.4.78188.3.4.796
139188.3.4.80/29188.3.4.81 to 188.3.4.86188.3.4.876
140188.3.4.88/29188.3.4.89 to 188.3.4.94188.3.4.956
141188.3.4.96/29188.3.4.97 to 188.3.4.102188.3.4.1036
142188.3.4.104/29188.3.4.105 to 188.3.4.110188.3.4.1116
143188.3.4.112/29188.3.4.113 to 188.3.4.118188.3.4.1196
144188.3.4.120/29188.3.4.121 to 188.3.4.126188.3.4.1276
145188.3.4.128/29188.3.4.129 to 188.3.4.134188.3.4.1356
146188.3.4.136/29188.3.4.137 to 188.3.4.142188.3.4.1436
147188.3.4.144/29188.3.4.145 to 188.3.4.150188.3.4.1516
148188.3.4.152/29188.3.4.153 to 188.3.4.158188.3.4.1596
149188.3.4.160/29188.3.4.161 to 188.3.4.166188.3.4.1676
150188.3.4.168/29188.3.4.169 to 188.3.4.174188.3.4.1756
151188.3.4.176/29188.3.4.177 to 188.3.4.182188.3.4.1836
152188.3.4.184/29188.3.4.185 to 188.3.4.190188.3.4.1916
153188.3.4.192/29188.3.4.193 to 188.3.4.198188.3.4.1996
154188.3.4.200/29188.3.4.201 to 188.3.4.206188.3.4.2076
155188.3.4.208/29188.3.4.209 to 188.3.4.214188.3.4.2156
156188.3.4.216/29188.3.4.217 to 188.3.4.222188.3.4.2236
157188.3.4.224/29188.3.4.225 to 188.3.4.230188.3.4.2316
158188.3.4.232/29188.3.4.233 to 188.3.4.238188.3.4.2396
159188.3.4.240/29188.3.4.241 to 188.3.4.246188.3.4.2476
160188.3.4.248/29188.3.4.249 to 188.3.4.254188.3.4.2556
161188.3.5.0/29188.3.5.1 to 188.3.5.6188.3.5.76
162188.3.5.8/29188.3.5.9 to 188.3.5.14188.3.5.156
163188.3.5.16/29188.3.5.17 to 188.3.5.22188.3.5.236
164188.3.5.24/29188.3.5.25 to 188.3.5.30188.3.5.316
165188.3.5.32/29188.3.5.33 to 188.3.5.38188.3.5.396
166188.3.5.40/29188.3.5.41 to 188.3.5.46188.3.5.476
167188.3.5.48/29188.3.5.49 to 188.3.5.54188.3.5.556
168188.3.5.56/29188.3.5.57 to 188.3.5.62188.3.5.636
169188.3.5.64/29188.3.5.65 to 188.3.5.70188.3.5.716
170188.3.5.72/29188.3.5.73 to 188.3.5.78188.3.5.796
171188.3.5.80/29188.3.5.81 to 188.3.5.86188.3.5.876
172188.3.5.88/29188.3.5.89 to 188.3.5.94188.3.5.956
173188.3.5.96/29188.3.5.97 to 188.3.5.102188.3.5.1036
174188.3.5.104/29188.3.5.105 to 188.3.5.110188.3.5.1116
175188.3.5.112/29188.3.5.113 to 188.3.5.118188.3.5.1196
176188.3.5.120/29188.3.5.121 to 188.3.5.126188.3.5.1276
177188.3.5.128/29188.3.5.129 to 188.3.5.134188.3.5.1356
178188.3.5.136/29188.3.5.137 to 188.3.5.142188.3.5.1436
179188.3.5.144/29188.3.5.145 to 188.3.5.150188.3.5.1516
180188.3.5.152/29188.3.5.153 to 188.3.5.158188.3.5.1596
181188.3.5.160/29188.3.5.161 to 188.3.5.166188.3.5.1676
182188.3.5.168/29188.3.5.169 to 188.3.5.174188.3.5.1756
183188.3.5.176/29188.3.5.177 to 188.3.5.182188.3.5.1836
184188.3.5.184/29188.3.5.185 to 188.3.5.190188.3.5.1916
185188.3.5.192/29188.3.5.193 to 188.3.5.198188.3.5.1996
186188.3.5.200/29188.3.5.201 to 188.3.5.206188.3.5.2076
187188.3.5.208/29188.3.5.209 to 188.3.5.214188.3.5.2156
188188.3.5.216/29188.3.5.217 to 188.3.5.222188.3.5.2236
189188.3.5.224/29188.3.5.225 to 188.3.5.230188.3.5.2316
190188.3.5.232/29188.3.5.233 to 188.3.5.238188.3.5.2396
191188.3.5.240/29188.3.5.241 to 188.3.5.246188.3.5.2476
192188.3.5.248/29188.3.5.249 to 188.3.5.254188.3.5.2556
193188.3.6.0/29188.3.6.1 to 188.3.6.6188.3.6.76
194188.3.6.8/29188.3.6.9 to 188.3.6.14188.3.6.156
195188.3.6.16/29188.3.6.17 to 188.3.6.22188.3.6.236
196188.3.6.24/29188.3.6.25 to 188.3.6.30188.3.6.316
197188.3.6.32/29188.3.6.33 to 188.3.6.38188.3.6.396
198188.3.6.40/29188.3.6.41 to 188.3.6.46188.3.6.476
199188.3.6.48/29188.3.6.49 to 188.3.6.54188.3.6.556
200188.3.6.56/29188.3.6.57 to 188.3.6.62188.3.6.636
201188.3.6.64/29188.3.6.65 to 188.3.6.70188.3.6.716
202188.3.6.72/29188.3.6.73 to 188.3.6.78188.3.6.796
203188.3.6.80/29188.3.6.81 to 188.3.6.86188.3.6.876
204188.3.6.88/29188.3.6.89 to 188.3.6.94188.3.6.956
205188.3.6.96/29188.3.6.97 to 188.3.6.102188.3.6.1036
206188.3.6.104/29188.3.6.105 to 188.3.6.110188.3.6.1116
207188.3.6.112/29188.3.6.113 to 188.3.6.118188.3.6.1196
208188.3.6.120/29188.3.6.121 to 188.3.6.126188.3.6.1276
209188.3.6.128/29188.3.6.129 to 188.3.6.134188.3.6.1356
210188.3.6.136/29188.3.6.137 to 188.3.6.142188.3.6.1436
211188.3.6.144/29188.3.6.145 to 188.3.6.150188.3.6.1516
212188.3.6.152/29188.3.6.153 to 188.3.6.158188.3.6.1596
213188.3.6.160/29188.3.6.161 to 188.3.6.166188.3.6.1676
214188.3.6.168/29188.3.6.169 to 188.3.6.174188.3.6.1756
215188.3.6.176/29188.3.6.177 to 188.3.6.182188.3.6.1836
216188.3.6.184/29188.3.6.185 to 188.3.6.190188.3.6.1916
217188.3.6.192/29188.3.6.193 to 188.3.6.198188.3.6.1996
218188.3.6.200/29188.3.6.201 to 188.3.6.206188.3.6.2076
219188.3.6.208/29188.3.6.209 to 188.3.6.214188.3.6.2156
220188.3.6.216/29188.3.6.217 to 188.3.6.222188.3.6.2236
221188.3.6.224/29188.3.6.225 to 188.3.6.230188.3.6.2316
222188.3.6.232/29188.3.6.233 to 188.3.6.238188.3.6.2396
223188.3.6.240/29188.3.6.241 to 188.3.6.246188.3.6.2476
224188.3.6.248/29188.3.6.249 to 188.3.6.254188.3.6.2556
225188.3.7.0/29188.3.7.1 to 188.3.7.6188.3.7.76
226188.3.7.8/29188.3.7.9 to 188.3.7.14188.3.7.156
227188.3.7.16/29188.3.7.17 to 188.3.7.22188.3.7.236
228188.3.7.24/29188.3.7.25 to 188.3.7.30188.3.7.316
229188.3.7.32/29188.3.7.33 to 188.3.7.38188.3.7.396
230188.3.7.40/29188.3.7.41 to 188.3.7.46188.3.7.476
231188.3.7.48/29188.3.7.49 to 188.3.7.54188.3.7.556
232188.3.7.56/29188.3.7.57 to 188.3.7.62188.3.7.636
233188.3.7.64/29188.3.7.65 to 188.3.7.70188.3.7.716
234188.3.7.72/29188.3.7.73 to 188.3.7.78188.3.7.796
235188.3.7.80/29188.3.7.81 to 188.3.7.86188.3.7.876
236188.3.7.88/29188.3.7.89 to 188.3.7.94188.3.7.956
237188.3.7.96/29188.3.7.97 to 188.3.7.102188.3.7.1036
238188.3.7.104/29188.3.7.105 to 188.3.7.110188.3.7.1116
239188.3.7.112/29188.3.7.113 to 188.3.7.118188.3.7.1196
240188.3.7.120/29188.3.7.121 to 188.3.7.126188.3.7.1276
241188.3.7.128/29188.3.7.129 to 188.3.7.134188.3.7.1356
242188.3.7.136/29188.3.7.137 to 188.3.7.142188.3.7.1436
243188.3.7.144/29188.3.7.145 to 188.3.7.150188.3.7.1516
244188.3.7.152/29188.3.7.153 to 188.3.7.158188.3.7.1596
245188.3.7.160/29188.3.7.161 to 188.3.7.166188.3.7.1676
246188.3.7.168/29188.3.7.169 to 188.3.7.174188.3.7.1756
247188.3.7.176/29188.3.7.177 to 188.3.7.182188.3.7.1836
248188.3.7.184/29188.3.7.185 to 188.3.7.190188.3.7.1916
249188.3.7.192/29188.3.7.193 to 188.3.7.198188.3.7.1996
250188.3.7.200/29188.3.7.201 to 188.3.7.206188.3.7.2076
251188.3.7.208/29188.3.7.209 to 188.3.7.214188.3.7.2156
252188.3.7.216/29188.3.7.217 to 188.3.7.222188.3.7.2236
253188.3.7.224/29188.3.7.225 to 188.3.7.230188.3.7.2316
254188.3.7.232/29188.3.7.233 to 188.3.7.238188.3.7.2396
255188.3.7.240/29188.3.7.241 to 188.3.7.246188.3.7.2476
256188.3.7.248/29188.3.7.249 to 188.3.7.254188.3.7.2556

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses